Imagick::readImageBlob
Imagick::recolorImage
Imagick
PHP Manual

# Imagick::readImageFile

Reads image from open filehandle

### Description

bool Imagick::readImageFile ( resource `$filehandle` [, string `$fileName` = null ] )

Reads image from open filehandle

### Parameters

`filehandle`

`fileName`

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws ImagickException on error.